<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="select-client-ip">

 <lire:title>Select Client IP Filter</lire:title>
 <lire:description>
  <para>This filter specification can be used to select the deliveries 
   coming from a particular client host or relay.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="ip-range" type="string" default=".*">
   <lire:description>
    <para>This parameter contains the regular expression that will be
     used to select the deliveries coming from particular hosts. Only
     deliveries made by a client host matching that regexp will be
     included in the subreports. The match is done on the client IP
     address (not its hostname).
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>selected deliveries coming from IP addresses matching
   $ip-range ip</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$from_relay_ip" re="$ip-range" case-sensitive="false"/>
 </lire:filter-spec>

</lire:global-filter-spec>
